/* DisplayWidget.c generated by valac 0.39.7, the Vala compiler
 * generated from DisplayWidget.vala, do not modify */

/*-
 * Copyright (c) 2014-2016 elementary LLC.
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <libgnome-desktop/gnome-rr-config.h>
#include <libgnome-desktop/gnome-rr.h>
#include <float.h>
#include <math.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define DISPLAY_TYPE_DISPLAY_WIDGET (display_display_widget_get_type ())
#define DISPLAY_DISPLAY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget))
#define DISPLAY_DISPLAY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidgetClass))
#define DISPLAY_IS_DISPLAY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DISPLAY_TYPE_DISPLAY_WIDGET))
#define DISPLAY_IS_DISPLAY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DISPLAY_TYPE_DISPLAY_WIDGET))
#define DISPLAY_DISPLAY_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidgetClass))

typedef struct _DisplayDisplayWidget DisplayDisplayWidget;
typedef struct _DisplayDisplayWidgetClass DisplayDisplayWidgetClass;
typedef struct _DisplayDisplayWidgetPrivate DisplayDisplayWidgetPrivate;

#define DISPLAY_TYPE_DISPLAY_WINDOW (display_display_window_get_type ())
#define DISPLAY_DISPLAY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), DISPLAY_TYPE_DISPLAY_WINDOW, DisplayDisplayWindow))
#define DISPLAY_DISPLAY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), DISPLAY_TYPE_DISPLAY_WINDOW, DisplayDisplayWindowClass))
#define DISPLAY_IS_DISPLAY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), DISPLAY_TYPE_DISPLAY_WINDOW))
#define DISPLAY_IS_DISPLAY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), DISPLAY_TYPE_DISPLAY_WINDOW))
#define DISPLAY_DISPLAY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), DISPLAY_TYPE_DISPLAY_WINDOW, DisplayDisplayWindowClass))

typedef struct _DisplayDisplayWindow DisplayDisplayWindow;
typedef struct _DisplayDisplayWindowClass DisplayDisplayWindowClass;
enum  {
	DISPLAY_DISPLAY_WIDGET_0_PROPERTY,
	DISPLAY_DISPLAY_WIDGET_DELTA_X_PROPERTY,
	DISPLAY_DISPLAY_WIDGET_DELTA_Y_PROPERTY,
	DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY_PROPERTY,
	DISPLAY_DISPLAY_WIDGET_NUM_PROPERTIES
};
static GParamSpec* display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __vala_GnomeRROutput_free0(var) ((var == NULL) ? NULL : (var = (_vala_GnomeRROutput_free (var), NULL)))
typedef struct _Block7Data Block7Data;

#define DISPLAY_DISPLAY_WIDGET_TYPE_RESOLUTION (display_display_widget_resolution_get_type ())
typedef struct _DisplayDisplayWidgetResolution DisplayDisplayWidgetResolution;
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	DISPLAY_DISPLAY_WIDGET_SET_AS_PRIMARY_SIGNAL,
	DISPLAY_DISPLAY_WIDGET_MOVE_DISPLAY_SIGNAL,
	DISPLAY_DISPLAY_WIDGET_CHECK_POSITION_SIGNAL,
	DISPLAY_DISPLAY_WIDGET_CONFIGURATION_CHANGED_SIGNAL,
	DISPLAY_DISPLAY_WIDGET_ACTIVE_CHANGED_SIGNAL,
	DISPLAY_DISPLAY_WIDGET_NUM_SIGNALS
};
static guint display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_NUM_SIGNALS] = {0};

struct _DisplayDisplayWidget {
	GtkEventBox parent_instance;
	DisplayDisplayWidgetPrivate * priv;
	DisplayDisplayWindow* display_window;
	GnomeRROutputInfo* output_info;
	GnomeRROutput* output;
};

struct _DisplayDisplayWidgetClass {
	GtkEventBoxClass parent_class;
};

struct _DisplayDisplayWidgetPrivate {
	gint _delta_x;
	gint _delta_y;
	gboolean _only_display;
	gdouble start_x;
	gdouble start_y;
	gboolean holding;
	GtkButton* primary_image;
	gint real_width;
	gint real_height;
	gint real_x;
	gint real_y;
};

struct _Block7Data {
	int _ref_count_;
	DisplayDisplayWidget* self;
	GtkLabel* label;
	GtkSwitch* use_switch;
	GtkListStore* resolution_list_store;
	GtkComboBox* resolution_combobox;
	GtkListStore* rotation_list_store;
	GtkComboBox* rotation_combobox;
	gboolean rotation_set;
	GnomeRROutputInfo* output_info;
};

struct _DisplayDisplayWidgetResolution {
	guint width;
	guint height;
};


static gpointer display_display_widget_parent_class = NULL;

GType display_display_widget_get_type (void) G_GNUC_CONST;
GType display_display_window_get_type (void) G_GNUC_CONST;
#define DISPLAY_DISPLAY_WIDGET_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidgetPrivate))
static void _vala_GnomeRROutput_free (GnomeRROutput* self);
DisplayDisplayWidget* display_display_widget_new (GnomeRROutputInfo* output_info,
                                                  GnomeRROutput* output);
DisplayDisplayWidget* display_display_widget_construct (GType object_type,
                                                        GnomeRROutputInfo* output_info,
                                                        GnomeRROutput* output);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
DisplayDisplayWindow* display_display_window_new (GnomeRROutputInfo* output_info);
DisplayDisplayWindow* display_display_window_construct (GType object_type,
                                                        GnomeRROutputInfo* output_info);
static GnomeRROutput* _vala_GnomeRROutput_copy (GnomeRROutput* self);
static void __lambda5_ (DisplayDisplayWidget* self);
static void ___lambda5__gtk_button_clicked (GtkButton* _sender,
                                     gpointer self);
void display_display_widget_set_primary (DisplayDisplayWidget* self,
                                         gboolean is_primary);
static GType display_display_widget_resolution_get_type (void) G_GNUC_CONST G_GNUC_UNUSED;
static DisplayDisplayWidgetResolution* display_display_widget_resolution_dup (const DisplayDisplayWidgetResolution* self);
static void display_display_widget_resolution_free (DisplayDisplayWidgetResolution* self);
gchar* display_display_widget_make_aspect_string (guint width,
                                                  guint height);
static gboolean _display_display_widget_resolution_equal (const DisplayDisplayWidgetResolution * s1,
                                                   const DisplayDisplayWidgetResolution * s2);
static gboolean _vala_display_display_widget_resolution_array_contains (DisplayDisplayWidgetResolution * stack,
                                                                 int stack_length,
                                                                 DisplayDisplayWidgetResolution * needle);
static void _vala_array_add1 (DisplayDisplayWidgetResolution* * array,
                       int* length,
                       int* size,
                       const DisplayDisplayWidgetResolution* value);
static void __lambda6_ (DisplayDisplayWidget* self);
static void ___lambda6__gtk_widget_destroy (GtkWidget* _sender,
                                     gpointer self);
static void __lambda7_ (Block7Data* _data7_);
static void ___lambda7__g_object_notify (GObject* _sender,
                                  GParamSpec* pspec,
                                  gpointer self);
static void __lambda8_ (Block7Data* _data7_);
void display_display_widget_set_geometry (DisplayDisplayWidget* self,
                                          gint x,
                                          gint y,
                                          gint width,
                                          gint height);
static void ___lambda8__gtk_combo_box_changed (GtkComboBox* _sender,
                                        gpointer self);
static void __lambda9_ (Block7Data* _data7_);
static void ___lambda9__gtk_combo_box_changed (GtkComboBox* _sender,
                                        gpointer self);
static gboolean display_display_widget_real_button_press_event (GtkWidget* base,
                                                         GdkEventButton* event);
gboolean display_display_widget_get_only_display (DisplayDisplayWidget* self);
static gboolean display_display_widget_real_button_release_event (GtkWidget* base,
                                                           GdkEventButton* event);
gint display_display_widget_get_delta_x (DisplayDisplayWidget* self);
gint display_display_widget_get_delta_y (DisplayDisplayWidget* self);
void display_display_widget_set_delta_x (DisplayDisplayWidget* self,
                                         gint value);
void display_display_widget_set_delta_y (DisplayDisplayWidget* self,
                                         gint value);
static gboolean display_display_widget_real_motion_notify_event (GtkWidget* base,
                                                          GdkEventMotion* event);
void display_display_widget_get_geometry (DisplayDisplayWidget* self,
                                          gint* x,
                                          gint* y,
                                          gint* width,
                                          gint* height);
gboolean display_display_widget_equals (DisplayDisplayWidget* self,
                                        DisplayDisplayWidget* sibling);
void display_display_widget_set_only_display (DisplayDisplayWidget* self,
                                              gboolean value);
static void g_cclosure_user_marshal_VOID__INT_INT (GClosure * closure,
                                            GValue * return_value,
                                            guint n_param_values,
                                            const GValue * param_values,
                                            gpointer invocation_hint,
                                            gpointer marshal_data);
static void display_display_widget_finalize (GObject * obj);
static void _vala_display_display_widget_get_property (GObject * object,
                                                guint property_id,
                                                GValue * value,
                                                GParamSpec * pspec);
static void _vala_display_display_widget_set_property (GObject * object,
                                                guint property_id,
                                                const GValue * value,
                                                GParamSpec * pspec);
static gint _vala_array_length (gpointer array);


static void
_vala_GnomeRROutput_free (GnomeRROutput* self)
{
#line 31 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_boxed_free (gnome_rr_output_get_type (), self);
#line 228 "DisplayWidget.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return self ? g_object_ref (self) : NULL;
#line 237 "DisplayWidget.c"
}


static Block7Data*
block7_data_ref (Block7Data* _data7_)
{
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return _data7_;
#line 248 "DisplayWidget.c"
}


static void
block7_data_unref (void * _userdata_)
{
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 259 "DisplayWidget.c"
		DisplayDisplayWidget* self;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self = _data7_->self;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->rotation_combobox);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->rotation_list_store);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->resolution_combobox);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->resolution_list_store);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->use_switch);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (_data7_->output_info);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_object_unref0 (self);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_slice_free (Block7Data, _data7_);
#line 281 "DisplayWidget.c"
	}
}


static GnomeRROutput*
_vala_GnomeRROutput_copy (GnomeRROutput* self)
{
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return g_boxed_copy (gnome_rr_output_get_type (), self);
#line 291 "DisplayWidget.c"
}


static gpointer
__vala_GnomeRROutput_copy0 (gpointer self)
{
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return self ? _vala_GnomeRROutput_copy (self) : NULL;
#line 300 "DisplayWidget.c"
}


static void
__lambda5_ (DisplayDisplayWidget* self)
{
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_SET_AS_PRIMARY_SIGNAL], 0);
#line 309 "DisplayWidget.c"
}


static void
___lambda5__gtk_button_clicked (GtkButton* _sender,
                                gpointer self)
{
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda5_ ((DisplayDisplayWidget*) self);
#line 319 "DisplayWidget.c"
}


static gboolean
_display_display_widget_resolution_equal (const DisplayDisplayWidgetResolution * s1,
                                          const DisplayDisplayWidgetResolution * s2)
{
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1 == s2) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return TRUE;
#line 331 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1 == NULL) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 337 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s2 == NULL) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 343 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1->width != s2->width) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 349 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (s1->height != s2->height) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return FALSE;
#line 355 "DisplayWidget.c"
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return TRUE;
#line 359 "DisplayWidget.c"
}


static gboolean
_vala_display_display_widget_resolution_array_contains (DisplayDisplayWidgetResolution * stack,
                                                        int stack_length,
                                                        DisplayDisplayWidgetResolution * needle)
{
	int i;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	for (i = 0; i < stack_length; i++) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (_display_display_widget_resolution_equal (&stack[i], needle) == TRUE) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			return TRUE;
#line 375 "DisplayWidget.c"
		}
	}
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return FALSE;
#line 380 "DisplayWidget.c"
}


static void
_vala_array_add1 (DisplayDisplayWidgetResolution* * array,
                  int* length,
                  int* size,
                  const DisplayDisplayWidgetResolution* value)
{
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if ((*length) == (*size)) {
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*array = g_renew (DisplayDisplayWidgetResolution, *array, *size);
#line 396 "DisplayWidget.c"
	}
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	(*array)[(*length)++] = *value;
#line 400 "DisplayWidget.c"
}


static void
__lambda6_ (DisplayDisplayWidget* self)
{
	DisplayDisplayWindow* _tmp0_;
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->display_window;
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp0_);
#line 412 "DisplayWidget.c"
}


static void
___lambda6__gtk_widget_destroy (GtkWidget* _sender,
                                gpointer self)
{
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda6_ ((DisplayDisplayWidget*) self);
#line 422 "DisplayWidget.c"
}


static void
__lambda7_ (Block7Data* _data7_)
{
	DisplayDisplayWidget* self;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	GtkComboBox* _tmp3_;
	GtkSwitch* _tmp4_;
	gboolean _tmp5_;
	gboolean _tmp6_;
	GtkComboBox* _tmp7_;
	GtkSwitch* _tmp8_;
	gboolean _tmp9_;
	gboolean _tmp10_;
	GtkComboBox* _tmp11_;
	gint _tmp12_;
	gint _tmp13_;
	GtkComboBox* _tmp15_;
	gint _tmp16_;
	gint _tmp17_;
	GtkSwitch* _tmp19_;
	gboolean _tmp20_;
	gboolean _tmp21_;
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = _data7_->self;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _data7_->use_switch;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _tmp1_;
#line 163 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_active (_data7_->output_info, _tmp2_);
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = _data7_->resolution_combobox;
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = _data7_->use_switch;
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = gtk_switch_get_active (_tmp4_);
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = _tmp5_;
#line 164 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, _tmp6_);
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = _data7_->rotation_combobox;
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = _data7_->use_switch;
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = gtk_switch_get_active (_tmp8_);
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp10_ = _tmp9_;
#line 165 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, _tmp10_);
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp11_ = _data7_->rotation_combobox;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp12_ = gtk_combo_box_get_active (_tmp11_);
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp13_ = _tmp12_;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp13_ == -1) {
#line 488 "DisplayWidget.c"
		GtkComboBox* _tmp14_;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp14_ = _data7_->rotation_combobox;
#line 167 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp14_, 0);
#line 494 "DisplayWidget.c"
	}
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp15_ = _data7_->resolution_combobox;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp16_ = gtk_combo_box_get_active (_tmp15_);
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp17_ = _tmp16_;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp17_ == -1) {
#line 504 "DisplayWidget.c"
		GtkComboBox* _tmp18_;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp18_ = _data7_->resolution_combobox;
#line 168 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp18_, 0);
#line 510 "DisplayWidget.c"
	}
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp19_ = _data7_->use_switch;
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp20_ = gtk_switch_get_active (_tmp19_);
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp21_ = _tmp20_;
#line 170 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp21_) {
#line 520 "DisplayWidget.c"
		GtkStyleContext* _tmp22_;
#line 171 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp22_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 171 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_style_context_remove_class (_tmp22_, "disabled");
#line 526 "DisplayWidget.c"
	} else {
		GtkStyleContext* _tmp23_;
#line 173 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp23_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 173 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_style_context_add_class (_tmp23_, "disabled");
#line 533 "DisplayWidget.c"
	}
#line 176 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CONFIGURATION_CHANGED_SIGNAL], 0);
#line 177 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_ACTIVE_CHANGED_SIGNAL], 0);
#line 539 "DisplayWidget.c"
}


static void
___lambda7__g_object_notify (GObject* _sender,
                             GParamSpec* pspec,
                             gpointer self)
{
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda7_ (self);
#line 550 "DisplayWidget.c"
}


static void
__lambda8_ (Block7Data* _data7_)
{
	DisplayDisplayWidget* self;
	GValue val = {0};
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_;
	GValue _tmp4_ = {0};
	gint _tmp5_;
	gint _tmp6_;
	GValue _tmp7_;
	GValue _tmp8_;
	GtkComboBox* _tmp9_;
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = _data7_->self;
#line 188 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _data7_->resolution_combobox;
#line 188 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 188 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	iter = _tmp1_;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _data7_->resolution_list_store;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = iter;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 189 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	val = _tmp4_;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = self->priv->real_x;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = self->priv->real_y;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = val;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = val;
#line 190 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_geometry (self, _tmp5_, _tmp6_, (gint) gnome_rr_mode_get_width (g_value_get_boxed (&_tmp7_)), (gint) gnome_rr_mode_get_height (g_value_get_boxed (&_tmp8_)));
#line 191 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = FALSE;
#line 192 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = _data7_->rotation_combobox;
#line 192 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_combo_box_set_active (_tmp9_, 0);
#line 193 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = TRUE;
#line 194 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CONFIGURATION_CHANGED_SIGNAL], 0);
#line 195 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CHECK_POSITION_SIGNAL], 0);
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 612 "DisplayWidget.c"
}


static void
___lambda8__gtk_combo_box_changed (GtkComboBox* _sender,
                                   gpointer self)
{
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda8_ (self);
#line 622 "DisplayWidget.c"
}


static void
__lambda9_ (Block7Data* _data7_)
{
	DisplayDisplayWidget* self;
	GValue val = {0};
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_;
	GtkTreeIter _tmp3_;
	GValue _tmp4_ = {0};
	GnomeRRRotation old_rotation = 0;
	gboolean _tmp5_;
	GValue _tmp6_;
	GValue _tmp7_;
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = _data7_->self;
#line 205 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _data7_->rotation_combobox;
#line 205 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 205 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	iter = _tmp1_;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = _data7_->rotation_list_store;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = iter;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_tree_model_get_value ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &_tmp4_);
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 206 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	val = _tmp4_;
#line 209 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = _data7_->rotation_set;
#line 209 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp5_) {
#line 210 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		old_rotation = GNOME_RR_ROTATION_0;
#line 665 "DisplayWidget.c"
	} else {
#line 212 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		old_rotation = gnome_rr_output_info_get_rotation (_data7_->output_info);
#line 669 "DisplayWidget.c"
	}
#line 214 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = val;
#line 214 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_rotation (_data7_->output_info, g_value_get_uint (&_tmp6_));
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = val;
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (g_value_get_uint (&_tmp7_)) {
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case GNOME_RR_ROTATION_90:
#line 681 "DisplayWidget.c"
		{
			gboolean _tmp8_ = FALSE;
			GnomeRRRotation _tmp9_;
			GtkLabel* _tmp14_;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp9_ = old_rotation;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp9_ == GNOME_RR_ROTATION_0) {
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp8_ = TRUE;
#line 692 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp10_;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp10_ = old_rotation;
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp8_ = _tmp10_ == GNOME_RR_ROTATION_180;
#line 699 "DisplayWidget.c"
			}
#line 217 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp8_) {
#line 703 "DisplayWidget.c"
				gint width = 0;
				gint _tmp11_;
				gint _tmp12_;
				gint _tmp13_;
#line 218 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp11_ = self->priv->real_width;
#line 218 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp11_;
#line 219 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp12_ = self->priv->real_height;
#line 219 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp12_;
#line 220 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp13_ = width;
#line 220 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp13_;
#line 720 "DisplayWidget.c"
			}
#line 223 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp14_ = _data7_->label;
#line 223 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp14_, (gdouble) 270);
#line 224 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 728 "DisplayWidget.c"
		}
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case GNOME_RR_ROTATION_180:
#line 732 "DisplayWidget.c"
		{
			gboolean _tmp15_ = FALSE;
			GnomeRRRotation _tmp16_;
			GtkLabel* _tmp21_;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp16_ = old_rotation;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp16_ == GNOME_RR_ROTATION_90) {
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp15_ = TRUE;
#line 743 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp17_;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp17_ = old_rotation;
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp15_ = _tmp17_ == GNOME_RR_ROTATION_270;
#line 750 "DisplayWidget.c"
			}
#line 226 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp15_) {
#line 754 "DisplayWidget.c"
				gint width = 0;
				gint _tmp18_;
				gint _tmp19_;
				gint _tmp20_;
#line 227 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp18_ = self->priv->real_width;
#line 227 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp18_;
#line 228 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp19_ = self->priv->real_height;
#line 228 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp19_;
#line 229 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp20_ = width;
#line 229 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp20_;
#line 771 "DisplayWidget.c"
			}
#line 232 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp21_ = _data7_->label;
#line 232 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp21_, (gdouble) 180);
#line 233 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 779 "DisplayWidget.c"
		}
#line 215 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case GNOME_RR_ROTATION_270:
#line 783 "DisplayWidget.c"
		{
			gboolean _tmp22_ = FALSE;
			GnomeRRRotation _tmp23_;
			GtkLabel* _tmp28_;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp23_ = old_rotation;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp23_ == GNOME_RR_ROTATION_0) {
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp22_ = TRUE;
#line 794 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp24_;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp24_ = old_rotation;
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp22_ = _tmp24_ == GNOME_RR_ROTATION_180;
#line 801 "DisplayWidget.c"
			}
#line 235 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp22_) {
#line 805 "DisplayWidget.c"
				gint width = 0;
				gint _tmp25_;
				gint _tmp26_;
				gint _tmp27_;
#line 236 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp25_ = self->priv->real_width;
#line 236 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp25_;
#line 237 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp26_ = self->priv->real_height;
#line 237 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp26_;
#line 238 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp27_ = width;
#line 238 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp27_;
#line 822 "DisplayWidget.c"
			}
#line 241 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp28_ = _data7_->label;
#line 241 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp28_, (gdouble) 90);
#line 242 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 830 "DisplayWidget.c"
		}
		default:
		{
			gboolean _tmp29_ = FALSE;
			GnomeRRRotation _tmp30_;
			GtkLabel* _tmp35_;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp30_ = old_rotation;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp30_ == GNOME_RR_ROTATION_90) {
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp29_ = TRUE;
#line 843 "DisplayWidget.c"
			} else {
				GnomeRRRotation _tmp31_;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp31_ = old_rotation;
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp29_ = _tmp31_ == GNOME_RR_ROTATION_270;
#line 850 "DisplayWidget.c"
			}
#line 244 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			if (_tmp29_) {
#line 854 "DisplayWidget.c"
				gint width = 0;
				gint _tmp32_;
				gint _tmp33_;
				gint _tmp34_;
#line 245 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp32_ = self->priv->real_width;
#line 245 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				width = _tmp32_;
#line 246 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp33_ = self->priv->real_height;
#line 246 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_width = _tmp33_;
#line 247 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp34_ = width;
#line 247 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				self->priv->real_height = _tmp34_;
#line 871 "DisplayWidget.c"
			}
#line 250 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp35_ = _data7_->label;
#line 250 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp35_, (gdouble) 0);
#line 251 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 879 "DisplayWidget.c"
		}
	}
#line 254 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = TRUE;
#line 255 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CONFIGURATION_CHANGED_SIGNAL], 0);
#line 256 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CHECK_POSITION_SIGNAL], 0);
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 890 "DisplayWidget.c"
}


static void
___lambda9__gtk_combo_box_changed (GtkComboBox* _sender,
                                   gpointer self)
{
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__lambda9_ (self);
#line 900 "DisplayWidget.c"
}


DisplayDisplayWidget*
display_display_widget_construct (GType object_type,
                                  GnomeRROutputInfo* output_info,
                                  GnomeRROutput* output)
{
	DisplayDisplayWidget * self = NULL;
	Block7Data* _data7_;
	GnomeRROutputInfo* _tmp0_;
	DisplayDisplayWindow* _tmp1_;
	GdkEventMask _tmp2_;
	GdkEventMask _tmp3_;
	GdkEventMask _tmp4_;
	GdkEventMask _tmp5_;
	GdkEventMask _tmp6_;
	GdkEventMask _tmp7_;
	GnomeRROutputInfo* _tmp8_;
	GnomeRROutput* _tmp9_;
	gint _tmp10_ = 0;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
	gint _tmp13_ = 0;
	GtkButton* _tmp14_;
	GtkButton* _tmp15_;
	GtkButton* _tmp16_;
	GtkStyleContext* _tmp17_;
	GtkButton* _tmp18_;
	GtkButton* _tmp19_;
	GtkButton* _tmp20_;
	GtkToggleButton* toggle_settings = NULL;
	GtkToggleButton* _tmp21_;
	GtkToggleButton* _tmp22_;
	GtkToggleButton* _tmp23_;
	GtkStyleContext* _tmp24_;
	GtkToggleButton* _tmp25_;
	GtkToggleButton* _tmp26_;
	GtkToggleButton* _tmp27_;
	GtkImage* _tmp28_;
	GtkImage* _tmp29_;
	GtkToggleButton* _tmp30_;
	const gchar* _tmp31_;
	GtkLabel* _tmp32_;
	GtkLabel* _tmp33_;
	GtkLabel* _tmp34_;
	GtkLabel* _tmp35_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp36_;
	GtkGrid* _tmp37_;
	GtkButton* _tmp38_;
	GtkGrid* _tmp39_;
	GtkToggleButton* _tmp40_;
	GtkGrid* _tmp41_;
	GtkLabel* _tmp42_;
	GtkGrid* _tmp43_;
	GtkGrid* popover_grid = NULL;
	GtkGrid* _tmp44_;
	GtkGrid* _tmp45_;
	GtkGrid* _tmp46_;
	GtkGrid* _tmp47_;
	GtkPopover* popover = NULL;
	GtkToggleButton* _tmp48_;
	GtkPopover* _tmp49_;
	GtkPopover* _tmp50_;
	GtkPopover* _tmp51_;
	GtkToggleButton* _tmp52_;
	GtkPopover* _tmp53_;
	GtkGrid* _tmp54_;
	GtkLabel* use_label = NULL;
	GtkLabel* _tmp55_;
	GtkLabel* _tmp56_;
	GtkSwitch* _tmp57_;
	GtkSwitch* _tmp58_;
	GtkSwitch* _tmp59_;
	GtkSwitch* _tmp60_;
	GtkLabel* resolution_label = NULL;
	GtkLabel* _tmp61_;
	GtkLabel* _tmp62_;
	GtkListStore* _tmp63_;
	GtkListStore* _tmp64_;
	GtkComboBox* _tmp65_;
	GtkComboBox* _tmp66_;
	GtkSwitch* _tmp67_;
	gboolean _tmp68_;
	gboolean _tmp69_;
	GtkCellRendererText* text_renderer = NULL;
	GtkCellRendererText* _tmp70_;
	GtkComboBox* _tmp71_;
	GtkCellRendererText* _tmp72_;
	GtkComboBox* _tmp73_;
	GtkCellRendererText* _tmp74_;
	GtkLabel* rotation_label = NULL;
	GtkLabel* _tmp75_;
	GtkLabel* _tmp76_;
	GtkListStore* _tmp77_;
	GtkListStore* _tmp78_;
	GtkComboBox* _tmp79_;
	GtkComboBox* _tmp80_;
	GtkSwitch* _tmp81_;
	gboolean _tmp82_;
	gboolean _tmp83_;
	GtkCellRendererText* _tmp84_;
	GtkComboBox* _tmp85_;
	GtkCellRendererText* _tmp86_;
	GtkComboBox* _tmp87_;
	GtkCellRendererText* _tmp88_;
	DisplayDisplayWidgetResolution* resolutions = NULL;
	DisplayDisplayWidgetResolution* _tmp89_;
	gint resolutions_length1;
	gint _resolutions_size_;
	gboolean resolution_set = FALSE;
	GnomeRRMode** _tmp90_;
	GnomeRRMode** _tmp91_;
	GtkGrid* _tmp122_;
	GtkLabel* _tmp123_;
	GtkGrid* _tmp124_;
	GtkSwitch* _tmp125_;
	GtkGrid* _tmp126_;
	GtkLabel* _tmp127_;
	GtkGrid* _tmp128_;
	GtkComboBox* _tmp129_;
	GtkGrid* _tmp130_;
	GtkLabel* _tmp131_;
	GtkGrid* _tmp132_;
	GtkComboBox* _tmp133_;
	GtkGrid* _tmp134_;
	DisplayDisplayWindow* _tmp135_;
	GtkSwitch* _tmp136_;
	GtkComboBox* _tmp138_;
	gboolean _tmp139_;
	GtkComboBox* _tmp141_;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp142_;
	GtkTreeIter _tmp143_ = {0};
	GtkListStore* _tmp144_;
	GtkTreeIter _tmp145_;
	gboolean _tmp167_;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (output_info != NULL, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (output != NULL, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->_ref_count_ = 1;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = _g_object_ref0 (output_info);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (_data7_->output_info);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->output_info = _tmp0_;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) g_object_new (object_type, NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->self = g_object_ref (self);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = display_display_window_new (_data7_->output_info);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp1_);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->display_window);
#line 51 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->display_window = _tmp1_;
#line 52 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = gtk_widget_get_events ((GtkWidget*) self);
#line 52 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = _tmp2_;
#line 52 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_events ((GtkWidget*) self, _tmp3_ | GDK_BUTTON_PRESS_MASK);
#line 53 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = gtk_widget_get_events ((GtkWidget*) self);
#line 53 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = _tmp4_;
#line 53 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_events ((GtkWidget*) self, _tmp5_ | GDK_BUTTON_RELEASE_MASK);
#line 54 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = gtk_widget_get_events ((GtkWidget*) self);
#line 54 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = _tmp6_;
#line 54 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_events ((GtkWidget*) self, _tmp7_ | GDK_POINTER_MOTION_MASK);
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = _g_object_ref0 (_data7_->output_info);
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->output_info);
#line 55 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->output_info = _tmp8_;
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp9_ = __vala_GnomeRROutput_copy0 (output);
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__vala_GnomeRROutput_free0 (self->output);
#line 56 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->output = _tmp9_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_get_geometry (_data7_->output_info, &_tmp10_, &_tmp11_, &_tmp12_, &_tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_x = _tmp10_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_y = _tmp11_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_width = _tmp12_;
#line 57 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_height = _tmp13_;
#line 58 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!gnome_rr_output_info_is_active (_data7_->output_info)) {
#line 59 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->real_width = 1280;
#line 60 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->real_height = 720;
#line 1111 "DisplayWidget.c"
	}
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp14_ = (GtkButton*) gtk_button_new_from_icon_name ("non-starred-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp14_);
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->priv->primary_image);
#line 63 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->primary_image = _tmp14_;
#line 64 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp15_ = self->priv->primary_image;
#line 64 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp15_, "margin", 6, NULL);
#line 65 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp16_ = self->priv->primary_image;
#line 65 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp17_ = gtk_widget_get_style_context ((GtkWidget*) _tmp16_);
#line 65 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_style_context_add_class (_tmp17_, GTK_STYLE_CLASS_FLAT);
#line 66 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp18_ = self->priv->primary_image;
#line 66 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp18_, GTK_ALIGN_START);
#line 67 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp19_ = self->priv->primary_image;
#line 67 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp19_, GTK_ALIGN_START);
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp20_ = self->priv->primary_image;
#line 68 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_object (_tmp20_, "clicked", (GCallback) ___lambda5__gtk_button_clicked, self, 0);
#line 69 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_primary (self, gnome_rr_output_info_get_primary (_data7_->output_info));
#line 71 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp21_ = (GtkToggleButton*) gtk_toggle_button_new ();
#line 71 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp21_);
#line 71 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	toggle_settings = _tmp21_;
#line 72 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp22_ = toggle_settings;
#line 72 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp22_, "margin", 6, NULL);
#line 73 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp23_ = toggle_settings;
#line 73 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp24_ = gtk_widget_get_style_context ((GtkWidget*) _tmp23_);
#line 73 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_style_context_add_class (_tmp24_, GTK_STYLE_CLASS_FLAT);
#line 74 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp25_ = toggle_settings;
#line 74 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp25_, GTK_ALIGN_END);
#line 75 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp26_ = toggle_settings;
#line 75 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp26_, GTK_ALIGN_START);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp27_ = toggle_settings;
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp28_ = (GtkImage*) gtk_image_new_from_icon_name ("open-menu-symbolic", (GtkIconSize) GTK_ICON_SIZE_MENU);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp28_);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp29_ = _tmp28_;
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_button_set_image ((GtkButton*) _tmp27_, (GtkWidget*) _tmp29_);
#line 76 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (_tmp29_);
#line 77 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp30_ = toggle_settings;
#line 77 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp30_, _ ("Configure display"));
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp31_ = gnome_rr_output_info_get_display_name (_data7_->output_info);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp32_ = (GtkLabel*) gtk_label_new (_tmp31_);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp32_);
#line 79 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->label = _tmp32_;
#line 80 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp33_ = _data7_->label;
#line 80 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp33_, GTK_ALIGN_CENTER);
#line 81 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp34_ = _data7_->label;
#line 81 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp34_, GTK_ALIGN_CENTER);
#line 82 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp35_ = _data7_->label;
#line 82 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp35_, "expand", TRUE, NULL);
#line 84 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp36_ = (GtkGrid*) gtk_grid_new ();
#line 84 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp36_);
#line 84 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	grid = _tmp36_;
#line 85 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp37_ = grid;
#line 85 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp38_ = self->priv->primary_image;
#line 85 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp37_, (GtkWidget*) _tmp38_, 0, 0, 1, 1);
#line 86 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp39_ = grid;
#line 86 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp40_ = toggle_settings;
#line 86 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp39_, (GtkWidget*) _tmp40_, 2, 0, 1, 1);
#line 87 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp41_ = grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp42_ = _data7_->label;
#line 87 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp41_, (GtkWidget*) _tmp42_, 0, 0, 3, 2);
#line 88 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp43_ = grid;
#line 88 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp43_);
#line 90 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp44_ = (GtkGrid*) gtk_grid_new ();
#line 90 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp44_);
#line 90 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	popover_grid = _tmp44_;
#line 91 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp45_ = popover_grid;
#line 91 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_set_column_spacing (_tmp45_, 12);
#line 92 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp46_ = popover_grid;
#line 92 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_set_row_spacing (_tmp46_, 6);
#line 93 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp47_ = popover_grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_set ((GtkWidget*) _tmp47_, "margin", 12, NULL);
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp48_ = toggle_settings;
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp49_ = (GtkPopover*) gtk_popover_new ((GtkWidget*) _tmp48_);
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp49_);
#line 94 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	popover = _tmp49_;
#line 95 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp50_ = popover;
#line 95 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_popover_set_position (_tmp50_, GTK_POS_BOTTOM);
#line 96 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp51_ = popover;
#line 96 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp52_ = toggle_settings;
#line 96 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp51_, "visible", (GObject*) _tmp52_, "active", G_BINDING_BIDIRECTIONAL, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 97 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp53_ = popover;
#line 97 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp54_ = popover_grid;
#line 97 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_container_add ((GtkContainer*) _tmp53_, (GtkWidget*) _tmp54_);
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp55_ = (GtkLabel*) gtk_label_new (_ ("Use This Display:"));
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp55_);
#line 99 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	use_label = _tmp55_;
#line 100 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp56_ = use_label;
#line 100 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp56_, GTK_ALIGN_END);
#line 101 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp57_ = (GtkSwitch*) gtk_switch_new ();
#line 101 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp57_);
#line 101 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->use_switch = _tmp57_;
#line 102 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp58_ = _data7_->use_switch;
#line 102 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp58_, GTK_ALIGN_START);
#line 103 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp59_ = _data7_->use_switch;
#line 103 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_switch_set_active (_tmp59_, gnome_rr_output_info_is_active (_data7_->output_info));
#line 104 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp60_ = _data7_->use_switch;
#line 104 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_bind_property_with_closures ((GObject*) self, "only-display", (GObject*) _tmp60_, "sensitive", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp61_ = (GtkLabel*) gtk_label_new (_ ("Resolution:"));
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp61_);
#line 106 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolution_label = _tmp61_;
#line 107 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp62_ = resolution_label;
#line 107 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp62_, GTK_ALIGN_END);
#line 109 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp63_ = gtk_list_store_new (2, G_TYPE_STRING, gnome_rr_mode_get_type (), -1);
#line 109 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->resolution_list_store = _tmp63_;
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp64_ = _data7_->resolution_list_store;
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp65_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp64_);
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp65_);
#line 110 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->resolution_combobox = _tmp65_;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp66_ = _data7_->resolution_combobox;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp67_ = _data7_->use_switch;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp68_ = gtk_switch_get_active (_tmp67_);
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp69_ = _tmp68_;
#line 111 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp66_, _tmp69_);
#line 112 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp70_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 112 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp70_);
#line 112 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	text_renderer = _tmp70_;
#line 113 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp71_ = _data7_->resolution_combobox;
#line 113 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp72_ = text_renderer;
#line 113 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp71_, (GtkCellRenderer*) _tmp72_, TRUE);
#line 114 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp73_ = _data7_->resolution_combobox;
#line 114 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp74_ = text_renderer;
#line 114 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp73_, (GtkCellRenderer*) _tmp74_, "text", 0);
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp75_ = (GtkLabel*) gtk_label_new (_ ("Rotation:"));
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp75_);
#line 116 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	rotation_label = _tmp75_;
#line 117 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp76_ = rotation_label;
#line 117 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp76_, GTK_ALIGN_END);
#line 118 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp77_ = gtk_list_store_new (2, G_TYPE_STRING, G_TYPE_UINT, -1);
#line 118 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_list_store = _tmp77_;
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp78_ = _data7_->rotation_list_store;
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp79_ = (GtkComboBox*) gtk_combo_box_new_with_model ((GtkTreeModel*) _tmp78_);
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp79_);
#line 119 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_combobox = _tmp79_;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp80_ = _data7_->rotation_combobox;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp81_ = _data7_->use_switch;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp82_ = gtk_switch_get_active (_tmp81_);
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp83_ = _tmp82_;
#line 120 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp80_, _tmp83_);
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp84_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_ref_sink (_tmp84_);
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (text_renderer);
#line 121 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	text_renderer = _tmp84_;
#line 122 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp85_ = _data7_->rotation_combobox;
#line 122 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp86_ = text_renderer;
#line 122 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp85_, (GtkCellRenderer*) _tmp86_, TRUE);
#line 123 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp87_ = _data7_->rotation_combobox;
#line 123 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp88_ = text_renderer;
#line 123 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp87_, (GtkCellRenderer*) _tmp88_, "text", 0);
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp89_ = g_new0 (DisplayDisplayWidgetResolution, 0);
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolutions = _tmp89_;
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolutions_length1 = 0;
#line 125 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_resolutions_size_ = resolutions_length1;
#line 126 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolution_set = FALSE;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp91_ = _tmp90_ = gnome_rr_output_list_modes (output);
#line 1417 "DisplayWidget.c"
	{
		GnomeRRMode** mode_collection = NULL;
		gint mode_collection_length1 = 0;
		gint _mode_collection_size_ = 0;
		gint mode_it = 0;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		mode_collection = _tmp91_;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		mode_collection_length1 = _vala_array_length (_tmp90_);
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		for (mode_it = 0; mode_it < _vala_array_length (_tmp90_); mode_it = mode_it + 1) {
#line 1429 "DisplayWidget.c"
			GnomeRRMode* mode = NULL;
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			mode = mode_collection[mode_it];
#line 1433 "DisplayWidget.c"
			{
				guint mode_width = 0U;
				GnomeRRMode* _tmp92_;
				guint mode_height = 0U;
				GnomeRRMode* _tmp93_;
				gchar* aspect = NULL;
				guint _tmp94_;
				guint _tmp95_;
				gchar* _tmp96_;
				gchar* text = NULL;
				const gchar* _tmp97_;
				DisplayDisplayWidgetResolution res = {0};
				guint _tmp105_;
				guint _tmp106_;
				DisplayDisplayWidgetResolution _tmp107_ = {0};
				DisplayDisplayWidgetResolution _tmp108_;
				DisplayDisplayWidgetResolution* _tmp109_;
				gint _tmp109__length1;
				DisplayDisplayWidgetResolution* _tmp110_;
				gint _tmp110__length1;
				DisplayDisplayWidgetResolution _tmp111_;
				GtkTreeIter iter = {0};
				GtkListStore* _tmp112_;
				GtkTreeIter _tmp113_ = {0};
				GtkListStore* _tmp114_;
				GtkTreeIter _tmp115_;
				const gchar* _tmp116_;
				GnomeRRMode* _tmp117_;
				GnomeRRMode* _tmp118_;
				GnomeRRMode* _tmp119_;
#line 128 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp92_ = mode;
#line 128 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				mode_width = gnome_rr_mode_get_width (_tmp92_);
#line 129 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp93_ = mode;
#line 129 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				mode_height = gnome_rr_mode_get_height (_tmp93_);
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp94_ = mode_width;
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp95_ = mode_height;
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp96_ = display_display_widget_make_aspect_string (_tmp94_, _tmp95_);
#line 130 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				aspect = _tmp96_;
#line 133 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp97_ = aspect;
#line 133 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				if (_tmp97_ != NULL) {
#line 1484 "DisplayWidget.c"
					guint _tmp98_;
					guint _tmp99_;
					const gchar* _tmp100_;
					gchar* _tmp101_;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp98_ = mode_width;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp99_ = mode_height;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp100_ = aspect;
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp101_ = g_strdup_printf ("%u × %u (%s)", _tmp98_, _tmp99_, _tmp100_);
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (text);
#line 134 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					text = _tmp101_;
#line 1501 "DisplayWidget.c"
				} else {
					guint _tmp102_;
					guint _tmp103_;
					gchar* _tmp104_;
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp102_ = mode_width;
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp103_ = mode_height;
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp104_ = g_strdup_printf ("%u × %u", _tmp102_, _tmp103_);
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (text);
#line 136 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					text = _tmp104_;
#line 1516 "DisplayWidget.c"
				}
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp105_ = mode_width;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp106_ = mode_height;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp107_.width = _tmp105_;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp107_.height = _tmp106_;
#line 139 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				res = _tmp107_;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp108_ = res;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp109_ = resolutions;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp109__length1 = resolutions_length1;
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				if (_vala_display_display_widget_resolution_array_contains (_tmp109_, _tmp109__length1, &_tmp108_)) {
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (text);
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_g_free0 (aspect);
#line 140 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					continue;
#line 1542 "DisplayWidget.c"
				}
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp110_ = resolutions;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp110__length1 = resolutions_length1;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp111_ = res;
#line 141 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_vala_array_add1 (&resolutions, &resolutions_length1, &_resolutions_size_, &_tmp111_);
#line 144 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp112_ = _data7_->resolution_list_store;
#line 144 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				gtk_list_store_append (_tmp112_, &_tmp113_);
#line 144 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				iter = _tmp113_;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp114_ = _data7_->resolution_list_store;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp115_ = iter;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp116_ = text;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp117_ = mode;
#line 145 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				gtk_list_store_set (_tmp114_, &_tmp115_, 0, _tmp116_, 1, _tmp117_, -1);
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp118_ = gnome_rr_output_get_current_mode (output);
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_tmp119_ = mode;
#line 147 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				if (_tmp118_ == _tmp119_) {
#line 1574 "DisplayWidget.c"
					GtkComboBox* _tmp120_;
					GtkTreeIter _tmp121_;
#line 148 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp120_ = _data7_->resolution_combobox;
#line 148 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					_tmp121_ = iter;
#line 148 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					gtk_combo_box_set_active_iter (_tmp120_, &_tmp121_);
#line 149 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
					resolution_set = TRUE;
#line 1585 "DisplayWidget.c"
				}
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_g_free0 (text);
#line 127 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
				_g_free0 (aspect);
#line 1591 "DisplayWidget.c"
			}
		}
	}
#line 153 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp122_ = popover_grid;
#line 153 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp123_ = use_label;
#line 153 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp122_, (GtkWidget*) _tmp123_, 0, 0, 1, 1);
#line 154 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp124_ = popover_grid;
#line 154 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp125_ = _data7_->use_switch;
#line 154 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp124_, (GtkWidget*) _tmp125_, 1, 0, 1, 1);
#line 155 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp126_ = popover_grid;
#line 155 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp127_ = resolution_label;
#line 155 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp126_, (GtkWidget*) _tmp127_, 0, 1, 1, 1);
#line 156 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp128_ = popover_grid;
#line 156 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp129_ = _data7_->resolution_combobox;
#line 156 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp128_, (GtkWidget*) _tmp129_, 1, 1, 1, 1);
#line 157 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp130_ = popover_grid;
#line 157 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp131_ = rotation_label;
#line 157 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp130_, (GtkWidget*) _tmp131_, 0, 2, 1, 1);
#line 158 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp132_ = popover_grid;
#line 158 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp133_ = _data7_->rotation_combobox;
#line 158 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_grid_attach (_tmp132_, (GtkWidget*) _tmp133_, 1, 2, 1, 1);
#line 159 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp134_ = popover_grid;
#line 159 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp134_);
#line 160 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp135_ = self->display_window;
#line 160 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_window_set_attached_to ((GtkWindow*) _tmp135_, (GtkWidget*) self);
#line 161 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_object ((GtkWidget*) self, "destroy", (GCallback) ___lambda6__gtk_widget_destroy, self, 0);
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp136_ = _data7_->use_switch;
#line 162 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_data ((GObject*) _tmp136_, "notify::active", (GCallback) ___lambda7__g_object_notify, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 180 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!gnome_rr_output_info_is_active (_data7_->output_info)) {
#line 1647 "DisplayWidget.c"
		GtkStyleContext* _tmp137_;
#line 181 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp137_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 181 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_style_context_add_class (_tmp137_, "disabled");
#line 1653 "DisplayWidget.c"
	}
#line 184 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_->rotation_set = FALSE;
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp138_ = _data7_->resolution_combobox;
#line 185 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_data (_tmp138_, "changed", (GCallback) ___lambda8__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 198 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp139_ = resolution_set;
#line 198 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp139_) {
#line 1665 "DisplayWidget.c"
		GtkComboBox* _tmp140_;
#line 199 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp140_ = _data7_->resolution_combobox;
#line 199 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp140_, 0);
#line 1671 "DisplayWidget.c"
	}
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp141_ = _data7_->rotation_combobox;
#line 202 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_connect_data (_tmp141_, "changed", (GCallback) ___lambda9__gtk_combo_box_changed, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 261 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp142_ = _data7_->rotation_list_store;
#line 261 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_list_store_append (_tmp142_, &_tmp143_);
#line 261 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	iter = _tmp143_;
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp144_ = _data7_->rotation_list_store;
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp145_ = iter;
#line 262 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gtk_list_store_set (_tmp144_, &_tmp145_, 0, _ ("None"), 1, GNOME_RR_ROTATION_0, -1);
#line 264 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (gnome_rr_output_info_supports_rotation (_data7_->output_info, GNOME_RR_ROTATION_90)) {
#line 1691 "DisplayWidget.c"
		GtkListStore* _tmp146_;
		GtkTreeIter _tmp147_ = {0};
		GtkListStore* _tmp148_;
		GtkTreeIter _tmp149_;
#line 265 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp146_ = _data7_->rotation_list_store;
#line 265 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_append (_tmp146_, &_tmp147_);
#line 265 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		iter = _tmp147_;
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp148_ = _data7_->rotation_list_store;
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp149_ = iter;
#line 266 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_set (_tmp148_, &_tmp149_, 0, _ ("Clockwise"), 1, GNOME_RR_ROTATION_90, -1);
#line 267 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (gnome_rr_output_info_get_rotation (_data7_->output_info) == GNOME_RR_ROTATION_90) {
#line 1710 "DisplayWidget.c"
			GtkComboBox* _tmp150_;
			GtkTreeIter _tmp151_;
			GtkLabel* _tmp152_;
#line 268 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp150_ = _data7_->rotation_combobox;
#line 268 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp151_ = iter;
#line 268 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_combo_box_set_active_iter (_tmp150_, &_tmp151_);
#line 269 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp152_ = _data7_->label;
#line 269 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp152_, (gdouble) 270);
#line 270 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_data7_->rotation_set = TRUE;
#line 1726 "DisplayWidget.c"
		}
	}
#line 274 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (gnome_rr_output_info_supports_rotation (_data7_->output_info, GNOME_RR_ROTATION_180)) {
#line 1731 "DisplayWidget.c"
		GtkListStore* _tmp153_;
		GtkTreeIter _tmp154_ = {0};
		GtkListStore* _tmp155_;
		GtkTreeIter _tmp156_;
#line 275 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp153_ = _data7_->rotation_list_store;
#line 275 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_append (_tmp153_, &_tmp154_);
#line 275 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		iter = _tmp154_;
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp155_ = _data7_->rotation_list_store;
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp156_ = iter;
#line 276 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_set (_tmp155_, &_tmp156_, 0, _ ("Flipped"), 1, GNOME_RR_ROTATION_180, -1);
#line 277 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (gnome_rr_output_info_get_rotation (_data7_->output_info) == GNOME_RR_ROTATION_180) {
#line 1750 "DisplayWidget.c"
			GtkComboBox* _tmp157_;
			GtkTreeIter _tmp158_;
			GtkLabel* _tmp159_;
#line 278 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp157_ = _data7_->rotation_combobox;
#line 278 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp158_ = iter;
#line 278 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_combo_box_set_active_iter (_tmp157_, &_tmp158_);
#line 279 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp159_ = _data7_->label;
#line 279 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp159_, (gdouble) 180);
#line 280 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_data7_->rotation_set = TRUE;
#line 1766 "DisplayWidget.c"
		}
	}
#line 284 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (gnome_rr_output_info_supports_rotation (_data7_->output_info, GNOME_RR_ROTATION_270)) {
#line 1771 "DisplayWidget.c"
		GtkListStore* _tmp160_;
		GtkTreeIter _tmp161_ = {0};
		GtkListStore* _tmp162_;
		GtkTreeIter _tmp163_;
#line 285 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp160_ = _data7_->rotation_list_store;
#line 285 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_append (_tmp160_, &_tmp161_);
#line 285 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		iter = _tmp161_;
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp162_ = _data7_->rotation_list_store;
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp163_ = iter;
#line 286 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_list_store_set (_tmp162_, &_tmp163_, 0, _ ("Counterclockwise"), 1, GNOME_RR_ROTATION_270, -1);
#line 287 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		if (gnome_rr_output_info_get_rotation (_data7_->output_info) == GNOME_RR_ROTATION_270) {
#line 1790 "DisplayWidget.c"
			GtkComboBox* _tmp164_;
			GtkTreeIter _tmp165_;
			GtkLabel* _tmp166_;
#line 288 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp164_ = _data7_->rotation_combobox;
#line 288 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp165_ = iter;
#line 288 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_combo_box_set_active_iter (_tmp164_, &_tmp165_);
#line 289 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp166_ = _data7_->label;
#line 289 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			gtk_label_set_angle (_tmp166_, (gdouble) 90);
#line 290 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_data7_->rotation_set = TRUE;
#line 1806 "DisplayWidget.c"
		}
	}
#line 294 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp167_ = _data7_->rotation_set;
#line 294 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (!_tmp167_) {
#line 1813 "DisplayWidget.c"
		GtkComboBox* _tmp168_;
#line 295 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp168_ = _data7_->rotation_combobox;
#line 295 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_combo_box_set_active (_tmp168_, 0);
#line 1819 "DisplayWidget.c"
	}
#line 298 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CONFIGURATION_CHANGED_SIGNAL], 0);
#line 299 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CHECK_POSITION_SIGNAL], 0);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	resolutions = (g_free (resolutions), NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (rotation_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (text_renderer);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (resolution_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (use_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (popover);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (popover_grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (grid);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (toggle_settings);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	block7_data_unref (_data7_);
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_data7_ = NULL;
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return self;
#line 1849 "DisplayWidget.c"
}


DisplayDisplayWidget*
display_display_widget_new (GnomeRROutputInfo* output_info,
                            GnomeRROutput* output)
{
#line 50 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return display_display_widget_construct (DISPLAY_TYPE_DISPLAY_WIDGET, output_info, output);
#line 1859 "DisplayWidget.c"
}


static gboolean
display_display_widget_real_button_press_event (GtkWidget* base,
                                                GdkEventButton* event)
{
	DisplayDisplayWidget * self;
	gboolean result = FALSE;
	gboolean _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
#line 302 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) base;
#line 302 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 303 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_only_display;
#line 303 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 304 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		result = FALSE;
#line 304 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return result;
#line 1884 "DisplayWidget.c"
	}
#line 307 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = event->x_root;
#line 307 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_x = _tmp1_;
#line 308 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = event->y_root;
#line 308 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_y = _tmp2_;
#line 309 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->holding = TRUE;
#line 310 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = FALSE;
#line 310 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 1900 "DisplayWidget.c"
}


static gboolean
display_display_widget_real_button_release_event (GtkWidget* base,
                                                  GdkEventButton* event)
{
	DisplayDisplayWidget * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gint _tmp2_;
	gint old_delta_x = 0;
	gint _tmp5_;
	gint old_delta_y = 0;
	gint _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
#line 313 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) base;
#line 313 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = self->priv->_delta_x;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp2_ == 0) {
#line 1927 "DisplayWidget.c"
		gint _tmp3_;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp3_ = self->priv->_delta_y;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp1_ = _tmp3_ == 0;
#line 1933 "DisplayWidget.c"
	} else {
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp1_ = FALSE;
#line 1937 "DisplayWidget.c"
	}
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp1_) {
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = TRUE;
#line 1943 "DisplayWidget.c"
	} else {
		gboolean _tmp4_;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp4_ = self->priv->_only_display;
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = _tmp4_;
#line 1950 "DisplayWidget.c"
	}
#line 314 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 315 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		result = FALSE;
#line 315 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return result;
#line 1958 "DisplayWidget.c"
	}
#line 318 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp5_ = self->priv->_delta_x;
#line 318 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	old_delta_x = _tmp5_;
#line 319 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp6_ = self->priv->_delta_y;
#line 319 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	old_delta_y = _tmp6_;
#line 320 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_delta_x (self, 0);
#line 321 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_set_delta_y (self, 0);
#line 322 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp7_ = old_delta_x;
#line 322 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp8_ = old_delta_y;
#line 322 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_MOVE_DISPLAY_SIGNAL], 0, _tmp7_, _tmp8_);
#line 323 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->holding = FALSE;
#line 324 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = FALSE;
#line 324 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 1984 "DisplayWidget.c"
}


static gboolean
display_display_widget_real_motion_notify_event (GtkWidget* base,
                                                 GdkEventMotion* event)
{
	DisplayDisplayWidget * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
#line 327 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = (DisplayDisplayWidget*) base;
#line 327 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = self->priv->holding;
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp1_) {
#line 2004 "DisplayWidget.c"
		gboolean _tmp2_;
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp2_ = self->priv->_only_display;
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = !_tmp2_;
#line 2010 "DisplayWidget.c"
	} else {
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = FALSE;
#line 2014 "DisplayWidget.c"
	}
#line 328 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 2018 "DisplayWidget.c"
		gdouble _tmp3_;
		gdouble _tmp4_;
		gdouble _tmp5_;
		gdouble _tmp6_;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp3_ = event->x_root;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp4_ = self->priv->start_x;
#line 329 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_x (self, (gint) (_tmp3_ - _tmp4_));
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp5_ = event->y_root;
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp6_ = self->priv->start_y;
#line 330 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_y (self, (gint) (_tmp5_ - _tmp6_));
#line 331 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_signal_emit (self, display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CHECK_POSITION_SIGNAL], 0);
#line 2037 "DisplayWidget.c"
	}
#line 334 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = FALSE;
#line 334 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2043 "DisplayWidget.c"
}


void
display_display_widget_set_primary (DisplayDisplayWidget* self,
                                    gboolean is_primary)
{
	GnomeRROutputInfo* _tmp0_;
#line 337 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 338 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->output_info;
#line 338 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_primary (_tmp0_, is_primary);
#line 339 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (is_primary) {
#line 2060 "DisplayWidget.c"
		GtkButton* _tmp1_;
		GtkWidget* _tmp2_;
		GtkWidget* _tmp3_;
		GtkButton* _tmp4_;
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp1_ = self->priv->primary_image;
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp2_ = gtk_button_get_image (_tmp1_);
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp3_ = _tmp2_;
#line 340 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_image_get_type (), GtkImage), "icon-name", "starred-symbolic", NULL);
#line 341 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp4_ = self->priv->primary_image;
#line 341 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp4_, _ ("Is the primary display"));
#line 2077 "DisplayWidget.c"
	} else {
		GtkButton* _tmp5_;
		GtkWidget* _tmp6_;
		GtkWidget* _tmp7_;
		GtkButton* _tmp8_;
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp5_ = self->priv->primary_image;
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp6_ = gtk_button_get_image (_tmp5_);
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp7_ = _tmp6_;
#line 343 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, gtk_image_get_type (), GtkImage), "icon-name", "non-starred-symbolic", NULL);
#line 344 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp8_ = self->priv->primary_image;
#line 344 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp8_, _ ("Set as primary display"));
#line 2095 "DisplayWidget.c"
	}
}


void
display_display_widget_get_geometry (DisplayDisplayWidget* self,
                                     gint* x,
                                     gint* y,
                                     gint* width,
                                     gint* height)
{
	gint _vala_x = 0;
	gint _vala_y = 0;
	gint _vala_width = 0;
	gint _vala_height = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->real_x;
#line 349 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_x = _tmp0_;
#line 350 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = self->priv->real_y;
#line 350 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_y = _tmp1_;
#line 351 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = self->priv->real_width;
#line 351 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_width = _tmp2_;
#line 352 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = self->priv->real_height;
#line 352 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_vala_height = _tmp3_;
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (x) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*x = _vala_x;
#line 2137 "DisplayWidget.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (y) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*y = _vala_y;
#line 2143 "DisplayWidget.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (width) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*width = _vala_width;
#line 2149 "DisplayWidget.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (height) {
#line 348 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		*height = _vala_height;
#line 2155 "DisplayWidget.c"
	}
}


void
display_display_widget_set_geometry (DisplayDisplayWidget* self,
                                     gint x,
                                     gint y,
                                     gint width,
                                     gint height)
{
	GnomeRROutputInfo* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
#line 355 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 356 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_x = x;
#line 357 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_y = y;
#line 358 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_width = width;
#line 359 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_height = height;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->output_info;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = self->priv->real_x;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = self->priv->real_y;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = self->priv->real_width;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp4_ = self->priv->real_height;
#line 360 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	gnome_rr_output_info_set_geometry (_tmp0_, _tmp1_, _tmp2_, _tmp3_, _tmp4_);
#line 2194 "DisplayWidget.c"
}


gboolean
display_display_widget_equals (DisplayDisplayWidget* self,
                               DisplayDisplayWidget* sibling)
{
	gboolean result = FALSE;
	GnomeRROutputInfo* _tmp0_;
	const gchar* _tmp1_;
	GnomeRROutputInfo* _tmp2_;
	const gchar* _tmp3_;
#line 363 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 363 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (sibling != NULL, FALSE);
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->output_info;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = gnome_rr_output_info_get_display_name (_tmp0_);
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp2_ = sibling->output_info;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp3_ = gnome_rr_output_info_get_display_name (_tmp2_);
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = g_strcmp0 (_tmp1_, _tmp3_) == 0;
#line 364 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2223 "DisplayWidget.c"
}


gchar*
display_display_widget_make_aspect_string (guint width,
                                           guint height)
{
	gchar* result = NULL;
	guint ratio = 0U;
	gchar* aspect = NULL;
	gboolean _tmp0_ = FALSE;
	guint _tmp1_;
#line 370 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	aspect = NULL;
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (width == ((guint) 0)) {
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = TRUE;
#line 2242 "DisplayWidget.c"
	} else {
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_tmp0_ = height == ((guint) 0);
#line 2246 "DisplayWidget.c"
	}
#line 372 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (_tmp0_) {
#line 373 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		result = NULL;
#line 373 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		_g_free0 (aspect);
#line 373 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		return result;
#line 2256 "DisplayWidget.c"
	}
#line 375 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (width > height) {
#line 376 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		ratio = (width * 10) / height;
#line 2262 "DisplayWidget.c"
	} else {
#line 378 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		ratio = (height * 10) / width;
#line 2266 "DisplayWidget.c"
	}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp1_ = ratio;
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (_tmp1_) {
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 13:
#line 2274 "DisplayWidget.c"
		{
			gchar* _tmp2_;
#line 383 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp2_ = g_strdup ("4∶3");
#line 383 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 383 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp2_;
#line 384 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2285 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 16:
#line 2289 "DisplayWidget.c"
		{
			gchar* _tmp3_;
#line 386 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp3_ = g_strdup ("16∶10");
#line 386 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 386 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp3_;
#line 387 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2300 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 17:
#line 2304 "DisplayWidget.c"
		{
			gchar* _tmp4_;
#line 389 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp4_ = g_strdup ("16∶9");
#line 389 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 389 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp4_;
#line 390 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2315 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 23:
#line 2319 "DisplayWidget.c"
		{
			gchar* _tmp5_;
#line 392 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp5_ = g_strdup ("21∶9");
#line 392 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 392 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp5_;
#line 393 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2330 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 12:
#line 2334 "DisplayWidget.c"
		{
			gchar* _tmp6_;
#line 395 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp6_ = g_strdup ("5∶4");
#line 395 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 395 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp6_;
#line 396 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2345 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 15:
#line 2349 "DisplayWidget.c"
		{
			gchar* _tmp7_;
#line 399 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp7_ = g_strdup ("3∶2");
#line 399 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 399 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp7_;
#line 400 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2360 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 18:
#line 2364 "DisplayWidget.c"
		{
			gchar* _tmp8_;
#line 402 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp8_ = g_strdup ("9∶5");
#line 402 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 402 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp8_;
#line 403 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2375 "DisplayWidget.c"
		}
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case 10:
#line 2379 "DisplayWidget.c"
		{
			gchar* _tmp9_;
#line 405 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_tmp9_ = g_strdup ("1∶1");
#line 405 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			_g_free0 (aspect);
#line 405 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			aspect = _tmp9_;
#line 406 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
			break;
#line 2390 "DisplayWidget.c"
		}
		default:
#line 381 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2395 "DisplayWidget.c"
	}
#line 409 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = aspect;
#line 409 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2401 "DisplayWidget.c"
}


gint
display_display_widget_get_delta_x (DisplayDisplayWidget* self)
{
	gint result;
	gint _tmp0_;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_delta_x;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2418 "DisplayWidget.c"
}


void
display_display_widget_set_delta_x (DisplayDisplayWidget* self,
                                    gint value)
{
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (display_display_widget_get_delta_x (self) != value) {
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->_delta_x = value;
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_notify_by_pspec ((GObject *) self, display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_DELTA_X_PROPERTY]);
#line 2434 "DisplayWidget.c"
	}
}


gint
display_display_widget_get_delta_y (DisplayDisplayWidget* self)
{
	gint result;
	gint _tmp0_;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_delta_y;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2452 "DisplayWidget.c"
}


void
display_display_widget_set_delta_y (DisplayDisplayWidget* self,
                                    gint value)
{
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (display_display_widget_get_delta_y (self) != value) {
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->_delta_y = value;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_notify_by_pspec ((GObject *) self, display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_DELTA_Y_PROPERTY]);
#line 2468 "DisplayWidget.c"
	}
}


gboolean
display_display_widget_get_only_display (DisplayDisplayWidget* self)
{
	gboolean result;
	gboolean _tmp0_;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_tmp0_ = self->priv->_only_display;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	result = _tmp0_;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return result;
#line 2486 "DisplayWidget.c"
}


void
display_display_widget_set_only_display (DisplayDisplayWidget* self,
                                         gboolean value)
{
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (self != NULL);
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (display_display_widget_get_only_display (self) != value) {
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		self->priv->_only_display = value;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_object_notify_by_pspec ((GObject *) self, display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY_PROPERTY]);
#line 2502 "DisplayWidget.c"
	}
}


static void
g_cclosure_user_marshal_VOID__INT_INT (GClosure * closure,
                                       GValue * return_value,
                                       guint n_param_values,
                                       const GValue * param_values,
                                       gpointer invocation_hint,
                                       gpointer marshal_data)
{
	typedef void (*GMarshalFunc_VOID__INT_INT) (gpointer data1, gint arg_1, gint arg_2, gpointer data2);
	register GMarshalFunc_VOID__INT_INT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_return_if_fail (n_param_values == 3);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data1 = closure->data;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data2 = param_values->data[0].v_pointer;
#line 2529 "DisplayWidget.c"
	} else {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data1 = param_values->data[0].v_pointer;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		data2 = closure->data;
#line 2535 "DisplayWidget.c"
	}
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	callback = (GMarshalFunc_VOID__INT_INT) (marshal_data ? marshal_data : cc->callback);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	callback (data1, g_value_get_int (param_values + 1), g_value_get_int (param_values + 2), data2);
#line 2541 "DisplayWidget.c"
}


static DisplayDisplayWidgetResolution*
display_display_widget_resolution_dup (const DisplayDisplayWidgetResolution* self)
{
	DisplayDisplayWidgetResolution* dup;
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	dup = g_new0 (DisplayDisplayWidgetResolution, 1);
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	memcpy (dup, self, sizeof (DisplayDisplayWidgetResolution));
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	return dup;
#line 2555 "DisplayWidget.c"
}


static void
display_display_widget_resolution_free (DisplayDisplayWidgetResolution* self)
{
#line 45 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_free (self);
#line 2564 "DisplayWidget.c"
}


static GType
display_display_widget_resolution_get_type (void)
{
	static volatile gsize display_display_widget_resolution_type_id__volatile = 0;
	if (g_once_init_enter (&display_display_widget_resolution_type_id__volatile)) {
		GType display_display_widget_resolution_type_id;
		display_display_widget_resolution_type_id = g_boxed_type_register_static ("DisplayDisplayWidgetResolution", (GBoxedCopyFunc) display_display_widget_resolution_dup, (GBoxedFreeFunc) display_display_widget_resolution_free);
		g_once_init_leave (&display_display_widget_resolution_type_id__volatile, display_display_widget_resolution_type_id);
	}
	return display_display_widget_resolution_type_id__volatile;
}


static void
display_display_widget_class_init (DisplayDisplayWidgetClass * klass)
{
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_parent_class = g_type_class_peek_parent (klass);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_type_class_add_private (klass, sizeof (DisplayDisplayWidgetPrivate));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	((GtkWidgetClass *) klass)->button_press_event = (gboolean (*) (GtkWidget *, GdkEventButton*)) display_display_widget_real_button_press_event;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	((GtkWidgetClass *) klass)->button_release_event = (gboolean (*) (GtkWidget *, GdkEventButton*)) display_display_widget_real_button_release_event;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	((GtkWidgetClass *) klass)->motion_notify_event = (gboolean (*) (GtkWidget *, GdkEventMotion*)) display_display_widget_real_motion_notify_event;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_display_display_widget_get_property;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_display_display_widget_set_property;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (klass)->finalize = display_display_widget_finalize;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_DISPLAY_WIDGET_DELTA_X_PROPERTY, display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_DELTA_X_PROPERTY] = g_param_spec_int ("delta-x", "delta-x", "delta-x", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_DISPLAY_WIDGET_DELTA_Y_PROPERTY, display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_DELTA_Y_PROPERTY] = g_param_spec_int ("delta-y", "delta-y", "delta-y", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY_PROPERTY, display_display_widget_properties[DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY_PROPERTY] = g_param_spec_boolean ("only-display", "only-display", "only-display", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_SET_AS_PRIMARY_SIGNAL] = g_signal_new ("set-as-primary", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_MOVE_DISPLAY_SIGNAL] = g_signal_new ("move-display", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__INT_INT, G_TYPE_NONE, 2, G_TYPE_INT, G_TYPE_INT);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CHECK_POSITION_SIGNAL] = g_signal_new ("check-position", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_CONFIGURATION_CHANGED_SIGNAL] = g_signal_new ("configuration-changed", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	display_display_widget_signals[DISPLAY_DISPLAY_WIDGET_ACTIVE_CHANGED_SIGNAL] = g_signal_new ("active-changed", DISPLAY_TYPE_DISPLAY_WIDGET, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2616 "DisplayWidget.c"
}


static void
display_display_widget_instance_init (DisplayDisplayWidget * self)
{
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv = DISPLAY_DISPLAY_WIDGET_GET_PRIVATE (self);
#line 32 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_delta_x = 0;
#line 33 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_delta_y = 0;
#line 34 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->_only_display = FALSE;
#line 35 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_x = (gdouble) 0;
#line 36 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->start_y = (gdouble) 0;
#line 37 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->holding = FALSE;
#line 40 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_width = 0;
#line 41 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_height = 0;
#line 42 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_x = 0;
#line 43 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self->priv->real_y = 0;
#line 2645 "DisplayWidget.c"
}


static void
display_display_widget_finalize (GObject * obj)
{
	DisplayDisplayWidget * self;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget);
#line 29 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->display_window);
#line 30 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->output_info);
#line 31 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	__vala_GnomeRROutput_free0 (self->output);
#line 38 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	_g_object_unref0 (self->priv->primary_image);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	G_OBJECT_CLASS (display_display_widget_parent_class)->finalize (obj);
#line 2665 "DisplayWidget.c"
}


GType
display_display_widget_get_type (void)
{
	static volatile gsize display_display_widget_type_id__volatile = 0;
	if (g_once_init_enter (&display_display_widget_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DisplayDisplayWidgetClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) display_display_widget_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (DisplayDisplayWidget), 0, (GInstanceInitFunc) display_display_widget_instance_init, NULL };
		GType display_display_widget_type_id;
		display_display_widget_type_id = g_type_register_static (gtk_event_box_get_type (), "DisplayDisplayWidget", &g_define_type_info, 0);
		g_once_init_leave (&display_display_widget_type_id__volatile, display_display_widget_type_id);
	}
	return display_display_widget_type_id__volatile;
}


static void
_vala_display_display_widget_get_property (GObject * object,
                                           guint property_id,
                                           GValue * value,
                                           GParamSpec * pspec)
{
	DisplayDisplayWidget * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (property_id) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_X_PROPERTY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_value_set_int (value, display_display_widget_get_delta_x (self));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_Y_PROPERTY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_value_set_int (value, display_display_widget_get_delta_y (self));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY_PROPERTY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		g_value_set_boolean (value, display_display_widget_get_only_display (self));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2711 "DisplayWidget.c"
		default:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2717 "DisplayWidget.c"
	}
}


static void
_vala_display_display_widget_set_property (GObject * object,
                                           guint property_id,
                                           const GValue * value,
                                           GParamSpec * pspec)
{
	DisplayDisplayWidget * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, DISPLAY_TYPE_DISPLAY_WIDGET, DisplayDisplayWidget);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
	switch (property_id) {
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_X_PROPERTY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_x (self, g_value_get_int (value));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_DELTA_Y_PROPERTY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_delta_y (self, g_value_get_int (value));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		case DISPLAY_DISPLAY_WIDGET_ONLY_DISPLAY_PROPERTY:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		display_display_widget_set_only_display (self, g_value_get_boolean (value));
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2750 "DisplayWidget.c"
		default:
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "/builddir/build/BUILD/switchboard-plug-display-0.1.3/src/DisplayWidget.vala"
		break;
#line 2756 "DisplayWidget.c"
	}
}


static gint
_vala_array_length (gpointer array)
{
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



